/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/utils/graphics/safearea.hpp

*/

#ifndef SGX_UTILS_GRAPHICS_SAFE_AREA_HPP
#define SGX_UTILS_GRAPHICS_SAFE_AREA_HPP	1

class CSGXTexture;

class CSGXSafeArea {
public:
	CSGXSafeArea(const tUINT32 w, const tUINT32 h);	// assume centred
	CSGXSafeArea(const tPOINT x, const tPOINT y, const tUINT32 w, const tUINT32 h);
	CSGXSafeArea(const sgxRect2i &rc);

	void render(CSGXTexture *pTexture, tUINT32 region);
	tBOOL isInside(const sgxPoint2i &pt);
	tBOOL isInside(const sgxRect2i &rc);

protected:
	sgxRect2i		 m_SafeArea;
};

#endif	// SGX_UTILS_GRAPHICS_SAFE_AREA_HPP


